Package jebl.evolution.trees

# Class ConsensusTreeBuilder<T extends Tree>

java.lang.Object
jebl.evolution.trees.ConsensusTreeBuilder<T>

All Implemented Interfaces:
  `TreeBuilder<T>`

public abstract class ConsensusTreeBuilder<T extends Tree> extends Object implements TreeBuilder<T>
A `TreeBuilder` that builds a consensus tree for a set of trees on identical leaf sets. This abstract base class is designed to be extended.

Version:
  $Id: ConsensusTreeBuilder.java 850 2007-12-06 04:51:28Z twobeers $
Author:
  Joseph Heled

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ConsensusTreeBuilder.Method`
Supported consensus methods.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_SUPPORT_ATTRIBUTE_NAME`
Name of attribute specifing amount of support for branch

## Method Summary

Modifier and Type
Method
Description
`void`
`addProgressListener(ProgressListener listener)`
`abstract String`
`getMethodDescription()`
Returns a human readable name of this consensus tree building method
`String`
`getSupportAttributeName()`
`boolean`
`isSupportAsPercent()`
`void`
`removeProgressListener(ProgressListener listener)`
Stops a ProgressListener from receiving progress.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jebl.evolution.trees.TreeBuilder

`build`

## Field Details

### DEFAULT_SUPPORT_ATTRIBUTE_NAME

public static final String DEFAULT_SUPPORT_ATTRIBUTE_NAME
Name of attribute specifing amount of support for branch

See Also:
  - Constant Field Values

## Method Details

### getMethodDescription

public abstract String getMethodDescription()
Returns a human readable name of this consensus tree building method

Returns:
  A human readable name of this consensus tree building method

### getSupportAttributeName

public String getSupportAttributeName()

### isSupportAsPercent

public boolean isSupportAsPercent()

### addProgressListener

public void addProgressListener(ProgressListener listener)

Specified by:
  `addProgressListener` in interface `TreeBuilder<T extends Tree>`

### removeProgressListener

public void removeProgressListener(ProgressListener listener)
Stops a ProgressListener from receiving progress. Note: Due to threading, the the listener may keep receiving progress for a short while after this method returns.

Specified by:
  `removeProgressListener` in interface `TreeBuilder<T extends Tree>`
Parameters:
  `listener` - The ProgressListener for which to no longer report progress.